{% load static wagtailimages_tags %}

<div class="__js-root">
  <div class="header-carousel">
    <div class="h-[700px] xl:h-screen relative bg-white">
      {% image self.desktop_image original as desktop_image %}
      {% image self.mobile_image original as mobile_image %}

      <video
        class="
          header-carousel--image
          lg:hidden
        "
        autoplay
        muted
        loop
        playsinline
        preload="metadata"

        poster="{% if not mobile_image %}{% static 'styleguide2/images/background-images/bg-flag-mobile-preview.jpg' %} {% else %}{{ mobile_image.url }}{% endif %}"
      >
        {% if not mobile_image %}
          <source src="{% static 'styleguide2/images/background-images/bg-flag-mobile.mp4' %}">
        {% endif %}
      </video>

      <video
        class="header-carousel--image opacity-60 hidden lg:block"
        poster="{% if self.video_url or not desktop_image %}{% static 'styleguide2/images/background-images/loading.gif' %}{% else %}{{ desktop_image.url }}{% endif %}"
        autoplay
        muted
        loop
        playsinline
        preload="metadata"
      >
        {% if self.video_url %}
          <source src="{{ self.video_url }}">
        {% endif %}
      </video>

      {% comment %}
        (No longer needed. So far.)

        <div class="elections--header-carousel--text-wrapper hidden xl:block">
          <div
            class="container--wide h-full flex flex-col justify-end items-start"
          >
            <div class="2.5xl:ml-[-10rem]">
              <img
                class="w-4/6"
                src="{% static 'elections/europarl-header.png' %}"
              >
            </div>
          </div>
        </div>
      {% endcomment %}

      {% if self.mobile_line_1 or self.mobile_line_2 %}
        <div class="header-carousel--text-wrapper" style="box-sizing: border-box">
          <div class="container--wide px-0 h-full flex flex-col justify-end items-start" style="box-sizing: border-box">

            <h1 class="mb-4 px-5 flex flex-col text-black block lg:hidden">
              <div>{{ self.mobile_line_1 }}</div>
              <div>{{ self.mobile_line_2 }}</div>
            </h1>
          </div>
        </div>
      {% endif %}
    </div>
  </div>
</div>
